[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Hash Sum Mismatch when updating WS Template

Yesterday upon attempting sudo apt-get update in my Whonix-WS template under Qubes 3.1 I was given the error:

“Hash Sum Mismatch”

…in relation to one of the repos on the list of package sources. I don’t remember exactly which one, but I believe it was under Qubes3.1/amd64/packages or something similar. Because of this, apt-get errored out and could not complete.

I found the following advice on this topic:

However since it is on a page marked “Deprecated” I am unsure whether this is still the correct procedure to follow in order to fix this issue.

Please advise, thanks very much.

1 Like

Any help on this issue, please…?

Otto Kratik:

Yesterday upon attempting sudo apt-get update in my Whonix-WS
template under Qubes 3.1 I was given the error:

“Hash Sum Mismatch”

…in relation to one of the repos on the list of package sources. I
don’t remember exactly which one, but I believe it was under
Qubes3.1/amd64/packages or something similar. Because of this,
apt-get errored out and could not complete.

Since no one else is running into this, in this case this can be
regarded as a non-serious apt-get corner case issue.

It can be handled as if this would happening on plain Debian. (
https://www.whonix.org/wiki/Support#Free_Support_Principle ) So deleting
the broken files as mentioned on
https://www.whonix.org/wiki/Deprecated#apt-get_Hash_Sum_mismatch in this
case should be fine.

I found the following advice on this topic:

https://www.whonix.org/wiki/Deprecated#apt-get_Hash_Sum_mismatch

However since it is on a page marked “Deprecated” I am unsure whether
this is still the correct procedure to follow in order to fix this
issue.

Generally this page is really just for historical purposes / for
developers only. Such as in rare cases like this were I could copy /
paste from this page such as now.

Thanks Patrick. As it happens, Whonix is the only version of Debian I have ever used, so all such encountered issues are new to me and difficult to discern as belonging to the former specifically or the latter more generally.

Prior to seeing your reply, I performed an apt-get dist-upgrade in spite of the hash sum mismatch hand some package sources being ignored. Seemed to work okay. The next day when I did apt-get update, all was back to being fine and no error reported. Perhaps an upstream issue at one of the repos that was subsequently addressed, but not sure. Dist-upgrade didn’t fix it alone, since running the check immediately afterward still showed the error.

I had cloned my Whonix-WS template just prior to this as well, and ran the suggested fix of clearing the package lists completely, and on that template it also seemed to work fine. However, as I also did this the next day when the other template’s error had already self-resolved, the result is hardly empirically conclusive.

All is well since, in either case. Thanks again.

1 Like
[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]